
Figure - Bug #117086
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT】【通知中心】【VC1&VX1】无通知时弹出通知，通知中心的“暂无信息”图标不能及时消失
2023-03-22 16:28 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-22

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013

Reproducibility: Every time Fixed Version: 2023-03-27

Test Type: ST Root cause: 已更新无通知视图的更新时间

Description

【前提条件】

1、设备正常启动

2、通知中心中无内容

【测试步骤】

1、通知中心中无内容

2、使用测试APP发送几条消息

3、打开通知中心查看

4、删除步骤二发出的通知

【预期结果】

3、显示步骤二中发送的通知

4、通知中心显示“暂无信息”

【实际结果】

3、通知中心的“暂无信息”图标不能及时消失

4、通知中心空白

History

#1 - 2023-03-24 20:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

189767 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

caoqg0702@thundersoft.com

AF:Notification: Improve the update logic of notifications1.The blank notification view also needs to be updated when only the number of hidden notifications has

changed2.Optimize the update method of the hidden notification block from sending notifications to calling the aosp interfaceTC-RID: 1201-0201902IssueID:

TS-R-BUG-117086Change-Id: I80a24898e2cdbac967d3d4f2ed23635341b688ba
#2 - 2023-03-24 20:09 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-27

- Root cause set to 已更新无通知视图的更新时间

#3 - 2023-03-27 11:17 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C102(X102).202303260013

3.27

验证通过

#4 - 2023-03-27 11:17 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

20230322-162751.mp4 2.88 MB 2023-03-22 CD TEST-方永红
